package com.bocloud.sms.interfaces;

import com.bocloud.common.model.*;
import com.bocloud.sms.entity.SystemNotice;


/**
 * 系统公告
 */
public interface SystemNoticeService {

    /**
     * 创建
     */
    Result create(SystemNotice entity, RequestContext user);

    /**
     * 删除
     */
    Result remove(Long id, RequestContext user);

    /**
     * 修改
     */
    Result modify(SystemNotice params, RequestContext user);

    /**
     * 列表
     */
    BocloudResult<GridBean<SystemNotice>> list(Pager pager, RequestContext requestContext);

    /**
     * 详情
     */
    BocloudResult<SystemNotice> detail(Long id);

    /**
     * 发布
     */
    public BocloudResult<Void> sendMsg(Long id);
}
