package com.bocloud.sms.service.rpc;

import com.bocloud.rpc.interfaces.sms.SmsRpcService;
import com.bocloud.service.lock.LockFactory;
import com.bocloud.sms.entity.Project;
import com.bocloud.sms.entity.User;
import com.bocloud.sms.interfaces.UserService;
import com.bocloud.sms.repository.UserRepository;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class SmsRpcServiceImpl implements SmsRpcService {
    @Autowired
    LockFactory lockFactory;
    @Autowired
    UserRepository userRepository;
    @Autowired
    UserService userService;

    @Override
    public User userDetail(String name) {
        User user = userRepository.queryProxy().col(User::getName).eq(name).oneOrNull();
        return user;
    }

    @Override
    public List<Project> getProjectList() {
        return null;
    }
}
