package com.bocloud.sms.booter.websocket.message;

import com.bocloud.common.model.RequestContext.Catalog;
import com.bocloud.sms.booter.websocket.model.CommonMessage;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class MessagePublisher {

	@Resource
	private MessageHandler messageHandler;

	public void pushMessage(final Catalog catalog, final Long userId, final String content) {
		messageHandler.sendMessageToUser(catalog, userId, new CommonMessage(content));
	}

	public void pushMessage(final String content) {
		messageHandler.sendMessageToUsers(new CommonMessage(content));
	}
}
