package com.bocloud.sms.model;

import java.util.List;

/**
 * 权限业务Bean
 *
 * @author DZG
 * @since V1.0 2016年8月12日
 */
public class AuthBean {

    private Long id;
    private String name;
    private String path;
    private String icon;
    private Long parentId;
    private Integer priority;
    private String router;//路由名称
    private String component;//组件名称
    private String redirect;//重定向地址
    private String meta;//META设置
    private String params;//PARAMS设置
    private String category;//权限类型
    private List<AuthBean> children;

    public AuthBean(Long id, String name, String path, String icon, Long parentId, Integer priority, String router, String component, String redirect, String meta, String params, String category) {
        this.id = id;
        this.name = name;
        this.path = path;
        this.icon = icon;
        this.parentId = parentId;
        this.priority = priority;
        this.router = router;
        this.component = component;
        this.redirect = redirect;
        this.meta = meta;
        this.params = params;
        this.category = category;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getRouter() {
        return router;
    }

    public void setRouter(String router) {
        this.router = router;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getRedirect() {
        return redirect;
    }

    public void setRedirect(String redirect) {
        this.redirect = redirect;
    }

    public String getMeta() {
        return meta;
    }

    public void setMeta(String meta) {
        this.meta = meta;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public List<AuthBean> getChildren() {
        return children;
    }

    public void setChildren(List<AuthBean> children) {
        this.children = children;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }
}
